{% extends 'admin/admin.html.twig' %}
{% block body %}
    <div class="col-md-12">
        <header class="page-header" style="padding-top: 40px">
            <h3>Rôles <button class="btn btn-primary btn-xs" style="margin-left: 20px" data-toggle="modal" data-target="#modal_ajouter_agence">Ajouter agence</button></h3>
        </header>
    </div>
    <div class="container">
        <table class="table">
            <tr>
                <th class="text-right">Agence</th><th class="text-center">RCR</th><th class="text-center">RCA</th><th class="text-center">ACA</th>
            </tr>
            {% for role in roles %}
                <tr>
                    <td class="text-right">{{ role.nom_agence }}</td>
                    <td><input class="form-control autocomplete_user" role_type="rcr" value="{{role.nom_rcr}}" id_user="{{ role.id_rcr}}" id_agence="{{ role.id_agence }}"></td>
                    <td><input class="form-control autocomplete_user" role_type="rca" value="{{role.nom_rca}}" id_user="{{ role.id_rca}}" id_agence="{{ role.id_agence }}"></td>
                    <td><input class="form-control autocomplete_user" role_type="aca" value="{{role.nom_aca}}" id_user="{{ role.id_aca}}" id_agence="{{ role.id_agence }}"></td>
                </tr>
            {% endfor %}
        </table>
    </div>
    <div class="modal fade" tabindex="-1" role="dialog" id="modal_ajouter_agence">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Ajouter une agence</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-12" style="display: flex; align-items: center">
                            <div class="col-md-3 text-right"><b>Agence</b></div>
                            <div class="col-md-8"><input class="form-control autocomplete_agence" id="ajouter_agence_agence"></div>
                        </div>
                        <div class="col-md-12" style="display: flex; align-items: center; margin-top: 20px">
                            <div class="col-md-3 text-right"><b>RCR</b></div>
                            <div class="col-md-8"><input class="form-control autocomplete_user" id="ajouter_agence_rcr"></div>
                        </div>
                        <div class="col-md-12" style="display: flex; align-items: center; margin-top: 20px">
                            <div class="col-md-3 text-right"><b>RCA</b></div>
                            <div class="col-md-8"><input class="form-control autocomplete_user" id="ajouter_agence_rca"></div>
                        </div>
                        <div class="col-md-12" style="display: flex; align-items: center; margin-top: 20px">
                            <div class="col-md-3 text-right"><b>ACA</b></div>
                            <div class="col-md-8"><input class="form-control autocomplete_user" id="ajouter_agence_aca"></div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Annuler</button>
                    <button type="button" class="btn btn-primary" id="btn_confirmer_ajout_agence">Ajouter</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->
    <script>
        $(".autocomplete_user").keydown(function () {
            $(this).attr("value_autocompletee", false);
            $(this).attr("id_user", null);
            $(this).css("border-color", "");
        });

        $(".autocomplete_user").autocomplete({
            source: AJAXPATH + "/Ajax_c/get_utilisateurs_qperf_autocomp",
            minLength: 3,
            select: function (ev, ui) {
                $(this).attr("value_autocompletee", true);
                $(this).attr("id_user", ui.item.id);
            },
            change: function () {
                if ($(this).attr("value_autocompletee") == "false") {
                    $(this).css("border-color", "tomato");
                    alert("Le dernier champ renseigné n'a pas été pris en compte, merci de sélectionner l'utilisateur parmis les propositions");
                } else {
                    var fullname = $(this).val();
                    var id_utilisateur = $(this).attr("id_user");
                    var type = $(this).attr("role_type");
                    var id_agence = $(this).attr("id_agence");
                    $.post(AJAXPATH + "/Roles/update_role", {"id_agence": id_agence, "fullname": fullname, "id_utilisateur": id_utilisateur, "type": type});
                }
            }
        })
    </script>
{% endblock %}
